<?php
function shrinktheweb_admin_settings() {
	$form = array();

	$form['shrinktheweb_keys'] = array(
		'#type' => 'fieldset',
		'#title' => t('ShrinkTheWeb API keys'),
		'#collapsible' => FALSE,
		'#collapsed' => FALSE
	);

	$form['shrinktheweb_keys']['shrinktheweb_access_key'] = array(
		'#type' => 'textfield',
		'#title' => t('Access key'),
		'#default_value' => variable_get('shrinktheweb_access_key', ''),
		'#required' => TRUE
	);
	$form['shrinktheweb_keys']['shrinktheweb_secret_key'] = array(
		'#type' => 'textfield',
		'#title' => t('Secret key'),
		'#default_value' => variable_get('shrinktheweb_secret_key', ''),
		'#required' => TRUE
	);
	$form['shrinktheweb_thumbs_folder'] = array(
		'#type' => 'textfield',
		'#title' => t('Thumbnails folder'),
		'#default_value' => variable_get('shrinktheweb_thumbs_folder', 'shrinktheweb_thumbnails'),
		'#required' => TRUE,
		'#description' => t('This is a subfolder of the "File system path" folder.')
	);
	$form['shrinktheweb_cache_days'] = array(
		'#type' => 'textfield',
		'#title' => t('Days in cache'),
		'#default_value' => variable_get('shrinktheweb_cache_days', 3),
		'#description' => t('Leave empty for unlimited days in cache.'),
		'#size' => 10
	);
	$form['shrinktheweb_parameters'] = array(
		'#type' => 'textarea',
		'#title' => t('Request parameters'),
		'#default_value' => variable_get('shrinktheweb_parameters', ''),
		'#description' => t('Submit each parameter/value group on new line. For example: "stwinside=1". Check the ShrinkTheWeb API documentation for more information.'),
	);

	return system_settings_form($form);
}


function shrinktheweb_admin_settings_validate($form, &$form_state) {
	$cache_days = $form_state['values']['shrinktheweb_cache_days'];
	if(!empty($cache_days)) {
		if (!is_numeric($cache_days)) {
			form_set_error('shrinktheweb_cache_days', t('You must enter an integer for the days in cache.'));
		}
		else if ($cache_days < 0) {
			form_set_error('shrinktheweb_cache_days', t('Maximum number of days in cache must be positive.'));
		}
	}
}
